Package Details: bsnes-hd 10.6-2

Git Clone URL: https://aur.archlinux.org/bsnes-hd.git (read-only, click to copy)
Package Base: bsnes-hd
Description: A fork of bsnes (great SNES emulator by Near) that adds HD video features and widescreen
Upstream URL: https://github.com/DerKoun/bsnes-hd
Keywords: bsnes emulator mode7 nintendo snes widescreen
Licenses: GPL3
Conflicts: bsnes
Provides: bsnes
Submitter: dekart811
Maintainer: prurigro
Last Packager: prurigro
Votes: 9
Popularity: 0.117217
First Submitted: 2019-06-27 11:16 (UTC)
Last Updated: 2023-09-03 04:43 (UTC)

Latest Comments

1 2 Next › Last »

mxlgv commented on 2023-06-03 14:50 (UTC)

With gcc-13 no longer builds:

../nall/arithmetic/natural.hpp:1:1: замечание: «std::runtime_error» is defined in header «<stdexcept>»; did you forget to «#include <stdexcept>»?
  +++ |+#include <stdexcept>
    1 | #define ConcatenateType(Size) uint##Size##_t
In file included from ../nall/arithmetic.hpp:45:
../nall/arithmetic/natural.hpp: In function «void nall::div(const uint512_t&, const uint512_t&, uint512_t&, uint512_t&)»:
../nall/arithmetic/natural.hpp:239:23: ошибка: «runtime_error» не является элементом «std»
  239 |   if(!rhs) throw std::runtime_error("division by zero");

It seems necessary to add an include: #include <stdexcept>.

Alad commented on 2021-07-02 16:46 (UTC) (edited on 2021-07-02 16:47 (UTC) by Alad)

hazelnot: keep politics out of AUR. Especially don't keep packages hostage because of politics. I've orphaned the package. Repeat behavior will result in the immediate suspension of your account.

prurigro commented on 2021-07-01 16:06 (UTC)

Hey, some deps appear to be missing: perl-x11-protocol and perl-net-dbus

hazelnot commented on 2021-06-29 14:40 (UTC)

I removed the co-maintainer and I won't be updating this anymore. The main developer is defending the ACTUAL NAZIS who harassed Near into suicide because "muh no finger pointing" at, again, ACTUAL NAZIS.

hazelnot commented on 2021-06-26 10:54 (UTC)

Alright haha, I added you as co-maintainer

BachoSeven commented on 2021-06-25 22:24 (UTC)

There should be no need to copy the patch manually, with or without the updated PKGBUILD I provided... anyways, glad you got it to build.

@hazelnot feel free to add me as a co-maintainer if you need any further help with this.

jimnotic commented on 2021-06-25 22:21 (UTC) (edited on 2021-06-25 22:28 (UTC) by jimnotic)

@hazelnot It's no problem I'm new to this to and I'm working on uploading my first package here pretty soon.

@BachoSeven After copying the bsnes-hd.patch and deleting the build cache - with the script you provided I was able to build using using: makepkg -i -s Appreciate it!

BachoSeven commented on 2021-06-25 21:37 (UTC)

@jimnotic what are you doing to build the package? makepkg -s or some AUR helper? Try removing the repo, do a clean clone and see what happens building using makepkg, because I can't reproduce your error.

jimnotic commented on 2021-06-25 21:29 (UTC)

@BachoSeven Yes I can confirm that the patch successfully downloads but I can't figure out why the cp command fails as it's pointed to the correct location in the PKGBUILD script.

bsnes-hd on  master [!?] ➜ lt . ├── bsnes-hd │ ├── branches │ ├── config │ ├── description │ ├── FETCH_HEAD │ ├── HEAD │ ├── hooks │ │ ├── applypatch-msg.sample │ │ ├── commit-msg.sample │ │ ├── fsmonitor-watchman.sample │ │ ├── post-update.sample │ │ ├── pre-applypatch.sample │ │ ├── pre-commit.sample │ │ ├── pre-merge-commit.sample │ │ ├── pre-push.sample │ │ ├── pre-rebase.sample │ │ ├── pre-receive.sample │ │ ├── prepare-commit-msg.sample │ │ ├── push-to-checkout.sample │ │ └── update.sample │ ├── info │ │ └── exclude │ ├── objects │ │ ├── info │ │ └── pack │ │ ├── pack-77f78e3bce073759b7e2182de95c055a13e6cedc.idx │ │ └── pack-77f78e3bce073759b7e2182de95c055a13e6cedc.pack │ ├── packed-refs │ └── refs │ ├── heads │ └── tags ├── bsnes-hd.patch └── PKGBUILD

BachoSeven commented on 2021-06-25 11:39 (UTC) (edited on 2021-06-25 11:39 (UTC) by BachoSeven)

@jimnotic are you actually sure you downloaded the bsnes-hd.patch file present in this package's repository? did you download the snapshot/clone the git repository, or did you just downloaded the PKGBUILD by itself?

@hazelnot The previous packager, when he added the patch file(in this revision), forgot to add the file to the source array(and consequently to the md5sums one as well). These should be added, which would also make it obvious the patch is needed to build.

Here's a PKGBUILD with that added(and some other minor edits such as superflous dependencies which were already pulled by others(when appropriate, i.e. glibc and gcc-libs, see wiki) and others as reported by namcap): https://0x0.st/-pKq.txt

Don't forget to makepkg --printsrcinfo > .SRCINFO before pushing ;)